Subject: Re: [net-next PATCH 0/4] Replace wmb()/rmb() with dma_wmb()/dma_rmb() where appropriate, round 2

From: Alexander Duyck <[email-masked]>
Date: Wed, 08 Apr 2015 19:46:26 -0700

On 04/08/2015 07:36 PM, David Miller wrote:
> From: Alexander Duyck <[email-masked]>
> Date: Wed, 08 Apr 2015 18:49:23 -0700
>
>> More cleanup of drivers in order to start making use of dma_rmb and dma_wmb
>> calls.  This is another pass of what I would consider to be low hanging
>> fruit.  There may be other opportunities to make use of the barriers in the
>> Mellanox and Chelsio drivers but I didn't want to risk meddling with code I
>> was not completely familiar with so I am leaving that for future work.
>>
>> I have revisited the Mellanox driver changes.  This time around I went only
>> for the sections with a clearly defined pattern.  For dma_wmb I used it
>> between accesses of the descriptor bits followed by owner or size.  For
>> dma_wmb I used it to replace rmb following a read of the ownership bit in
>> the descriptor.
> That last sentence should be talking about "dma_rmb" instead of "dma_wmb"
> right?

Yeah, it was just a typo.

rmb -> dma_rmb
wmb-> dma_wmb

I'll double check my patches to be sure I didn't make the mistake 
anywhere in the code.

Thanks.

- Alex